com.aliyun.svideosdk.common.struct.recorder

## Enum CameraType

- java.lang.Object
- - java.lang.Enum<CameraType>
  - - com.aliyun.svideosdk.common.struct.recorder.CameraType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CameraType>

      public enum CameraType
      extends java.lang.Enum<CameraType>

  摄像头类型

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK` 后置摄像头
    `FRONT` 前置摄像头

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` 获取枚举值
    `static CameraType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CameraType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRONT

          public static final CameraType FRONT

      前置摄像头

    - #### BACK

          public static final CameraType BACK

      后置摄像头

  - ### Method Detail

    - #### values

          public static CameraType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CameraType c : CameraType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CameraType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      获取枚举值
      Returns:
        返回枚举值